<?php

class OSMembershipHelperOverrideHelper extends OSMembershipHelper
{
	/**
	 * Check to see whether the system need to create invoice for this subscription record or not
	 *
	 *
	 * @param $row
	 *
	 * @return bool
	 */
	public static function needToCreateInvoice($row)
	{
		// Always generate invoice for free subscription
		if ($row->amount == 0)
		{
			return true;
		}

		$config    = OSMembershipHelper::getConfig();
		$published = (int) $row->published;

		if ($row->gross_amount > 0
			&& ($published === 1 || !$config->generated_invoice_for_paid_subscription_only))
		{
			return true;
		}

		return false;
	}
}